//
// Statemachine code from reading SCXML file 'pinball.scxml'
// Created by: The Qt SCXML Compiler version 1 (Qt 5.9.4)
// WARNING! All changes made in this file will be lost!
//

#ifndef PINBALL_H
#define PINBALL_H

#include <QScxmlStateMachine>
#include <QString>
#include <QVariant>

class Pinball: public QScxmlStateMachine
{
    /* qmake ignore Q_OBJECT */
    Q_OBJECT
    Q_PROPERTY(bool global)
    Q_PROPERTY(bool guiControl)
    Q_PROPERTY(bool cLight)
    Q_PROPERTY(bool cLightOn)
    Q_PROPERTY(bool cLightOff)
    Q_PROPERTY(bool rLight)
    Q_PROPERTY(bool rLightOn)
    Q_PROPERTY(bool rLightOff)
    Q_PROPERTY(bool aLight)
    Q_PROPERTY(bool aLightOn)
    Q_PROPERTY(bool aLightOff)
    Q_PROPERTY(bool zLight)
    Q_PROPERTY(bool zLightOn)
    Q_PROPERTY(bool zLightOff)
    Q_PROPERTY(bool yLight)
    Q_PROPERTY(bool yLightOn)
    Q_PROPERTY(bool yLightOff)
    Q_PROPERTY(bool hurryLight)
    Q_PROPERTY(bool hurryLightOn)
    Q_PROPERTY(bool hurryLightOff)
    Q_PROPERTY(bool jackpotLight)
    Q_PROPERTY(bool jackpotLightOn)
    Q_PROPERTY(bool jackpotLightOff)
    Q_PROPERTY(bool gameOverLight)
    Q_PROPERTY(bool gameOverLightOn)
    Q_PROPERTY(bool gameOverLightOff)
    Q_PROPERTY(bool internalState)
    Q_PROPERTY(bool logicalState)
    Q_PROPERTY(bool letterState)
    Q_PROPERTY(bool lettersState)
    Q_PROPERTY(bool letter.C)
    Q_PROPERTY(bool cLetterOff)
    Q_PROPERTY(bool cLetterOn)
    Q_PROPERTY(bool letter.R)
    Q_PROPERTY(bool rLetterOff)
    Q_PROPERTY(bool rLetterOn)
    Q_PROPERTY(bool letter.A)
    Q_PROPERTY(bool aLetterOff)
    Q_PROPERTY(bool aLetterOn)
    Q_PROPERTY(bool letter.Z)
    Q_PROPERTY(bool zLetterOff)
    Q_PROPERTY(bool zLetterOn)
    Q_PROPERTY(bool letter.Y)
    Q_PROPERTY(bool yLetterOff)
    Q_PROPERTY(bool yLetterOn)
    Q_PROPERTY(bool modeState)
    Q_PROPERTY(bool offState)
    Q_PROPERTY(bool onState)
    Q_PROPERTY(bool hurryState)
    Q_PROPERTY(bool hurryStateOff)
    Q_PROPERTY(bool hurryStateOn)
    Q_PROPERTY(bool jackpotState)
    Q_PROPERTY(bool jackpotStateOff)
    Q_PROPERTY(bool jackpotStateOn)
    Q_PROPERTY(bool workflow)
    Q_PROPERTY(bool lightImpulseGenerator)
    Q_PROPERTY(bool lightImpulseOn)
    Q_PROPERTY(bool lightImpulseOff)


public:
    Q_INVOKABLE Pinball(QObject *parent = 0);
    ~Pinball();



Q_SIGNALS:


private:
    struct Data;
    friend struct Data;
    struct Data *data;
};

Q_DECLARE_METATYPE(::Pinball*)

#endif // PINBALL_H
